package com.gree.mall.manager.enums.workorder;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;


/**
 * @author qinrongjun
 * @description
 * @date 2023/6/2 18:19 星期五
 */
@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum OrderFlagEnum implements BaseEnum {
    YI_CHANGE("YI_CHANGE", "异常",1),//400投诉了服务单，总部推过来的
    JIA_JI("JIA_JI", "加急",2),//维修单机型优先级
    YWG("YWG","已完工",3),
    YJS("YJS","已结算",4),
    YB("YB","延保",5), //延保工单
    WB("WB","工程维保",6),
    LINGSHOU("LINGSHOU","零售",7),
    PROJECT("PROJECT","工程",8),
    ZL("ZL","租赁",9),
    PARTS_ING("PARTS_ING","配件申请中",10),
    PARTS_END("PARTS_END","配件已到货",11),
    PARTS_CANCEL("PARTS_CANCEL","配件已取消",12),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
    private final Integer sortNum;

}